<!--
 Copyright (c) 2021 SAP SE or an SAP affiliate company. All rights reserved.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.hybris.platform.ldap</groupId>
	<artifactId>ldap</artifactId>
	<version>2105.10</version>

	<packaging>jar</packaging>

	<properties>
		<apacheds.version>1.5.5</apacheds.version>
		<spring.ldap.version>2.3.3.RELEASE</spring.ldap.version>
		<spring.security.version>5.4.7</spring.security.version>
	</properties>

	<dependencies>

		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-core</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-bootstrap-extract</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-core-avl</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-core-constants</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-core-entry</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-core-jndi</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-core-shared</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-jdbm</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-jdbm-store</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-protocol-ldap</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-protocol-shared</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-schema-bootstrap</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-schema-registries</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-utils</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-xdbm-base</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.directory.server</groupId>
			<artifactId>apacheds-xdbm-search</artifactId>
			<version>${apacheds.version}</version>
		</dependency>
		<dependency>
		  <groupId>org.springframework.ldap</groupId>
		  <artifactId>spring-ldap-core</artifactId>
		  <version>${spring.ldap.version}</version>
		</dependency>
		<dependency>
		  <groupId>org.springframework.security</groupId>
		  <artifactId>spring-security-ldap</artifactId>
		  <version>${spring.security.version}</version>
		</dependency>
		
		<dependency>
		    <groupId>de.hybris.external</groupId>
		    <artifactId>apacheds-stripped</artifactId>
		    <version>1.5.5</version>
		</dependency>
	</dependencies>
</project>